ioctl_nsfs(2)

NAME
ioctl_nsfs - ioctl() operations for Linux namespaces

SYNOPSIS
#include <linux/nsfs.h>  /* Definition of NS_* constants */
#include <sys/ioctl.h>

int ioctl(int fd, unsigned long op, ...);

DESCRIPTION

  Discovering namespace relationships

NS_GET_USERNS(2const)
NS_GET_PARENT(2const)

  Discovering the namespace type

NS_GET_NSTYPE(2const)

  Discovering the owner of a user namespace

NS_GET_OWNER_UID(2const)

ERRORS

ENOTTY
    fd does not refer to a /proc/pid/ns/* file.

STANDARDS
Linux.

SEE ALSO
ioctl(2), fstat(2), proc(5), namespaces(7)